package com.memorynotfound.spring.core;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;
import org.springframework.context.support.PropertySourcesPlaceholderConfigurer;
import java.util.List;

@Configuration
@PropertySource(value="classpath:application.properties")
public class AppConfig {

    @Value("#{'${planets.names}'.split(',')}")
    private List<String> planets;

    @Bean
    public static PropertySourcesPlaceholderConfigurer propertySourcesPlaceholderConfigurer() {
        return new PropertySourcesPlaceholderConfigurer();
    }

    public List<String> getPlanets() {
        return planets;
    }

}
